<div class="row">
    <div class="col-md-12">

        <!--Alert-->
        <div class="row">
            <div class="col-md-12">
                <app-alerts #oAlert></app-alerts>
            </div>
        </div>
        <!--ENd Alert-->
        <!--Page Title-->
        <div class="row">
            <div class="col-md-12">
                <h2>Teacher's Profile</h2>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                &nbsp;
            </div>
        </div>
        <!--End Page Title-->




        <!--Registration Form-->
        <form name="frmProfile" #frmProfile="ngForm" novalidate>


            <div class="row">
                <div class="col-md-12">
                    <div class="row">
                        <div class="col-md-4">
                            <label>Username</label>
                            <input type="text" class="form-control" name="tbUsername" minlength="3" max="30">
                            <label><span class="info-msg">* Username should be at least 3 characters long and a maximum
                                    of 30.</span></label>
                            <br>
                            <label><span class="info-msg">add user name here</span></label>

                        </div>

                        <div class="col-md-4">
                            <label>First name</label>
                            <input type="text" class="form-control" name="tbFirstname" minlength="3" max="30">
                            <label><span class="info-msg">* First name should be at least 3 characters long and a
                                    maximum
                                    of 30.</span></label>
                        </div>

                        <div class="col-md-4">
                            <label>Last name</label>
                            <input type="text" class="form-control" name="tbLasttname" minlength="3" max="30">
                            <label><span class="info-msg">* Last name should be at least 3 characters long and a maximum
                                    of 30.</span></label>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">&nbsp;</div>
                    </div>
                    <div class="row">
                        <div class="col-md-4">
                            <label>Gender</label>
                            <select name="drpGender" class="form-control">
                                <option> --- select --- </option>
                            </select>

                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">&nbsp;</div>
                    </div>

                    <div class="row">
                        <div class="col-md-12">
                            <label>Email</label><br>
                            <label><span class="info-msg">add email here</span></label>

                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">&nbsp;</div>
                    </div>

                    <div class="row">
                        <div class="col-md-4">
                            <label>Mobile</label>
                            <input type="text" class="form-control" name="tbMobile" max="20">
                            <label><span class="info-msg">* Mobile should include country code without +, any special
                                    characters, or spaces ex.'00201234567890'.</span></label>


                        </div>

                        <div class="col-md-4">
                            <label>Phone</label>
                            <input type="text" class="form-control" name="tbPhone" max="20">
                            <label><span class="info-msg">* Phone should include country code, area code and without +,
                                    any special characters, or spaces ex.'0020220123456'.</span></label>

                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-4">
                            <input type="checkbox" name="cbShowMobileToAlemenyUsers">&nbsp;Show mobile number to other
                            Alemeny users.

                        </div>
                        <div class="col-md-4">
                            <input type="checkbox" name="cbShowPhoneToAlemenyUsers">&nbsp;Show phone number to other
                            Alemeny users.
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            &nbsp;
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-4">
                            <label>Birthdate</label>
                            <input type="date" name="tbBirthdate" class="form-control">
                            <input type="checkbox" name="cbShowPhoneToAlemenyUsers">&nbsp;Show birthdate to other
                            Alemeny users.

                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            &nbsp;
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-12">
                            <div class="row">
                                <div class="col-md-12">
                                    <label>Address Information</label>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-4">
                                    <label>Country</label>
                                    <select name="drpCountry" class="form-control">
                                        <option> --- select --- </option>
                                    </select>

                                </div>
                                <div class="col-md-4">
                                    <label>City</label>
                                    <select name="drpCity" class="form-control">
                                        <option> --- select --- </option>
                                    </select>

                                </div>
                                <div class="col-md-4">
                                    <label>Area / State / Province</label>
                                    <input type="text" class="form-control" name="tbArea" max="50">

                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12">
                                    &nbsp;
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-12">
                                    <label>Street Address</label>
                                    <textarea class="form-control" row="5" maxlength="300">

                                    </textarea>
                                    <label><span class="info-msg">* We will never show/share your address information to
                                            any parties, it will be used only in our internal verifying system and
                                            geographic filteration.</span></label>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-12">
                            &nbsp;
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-4">
                            <label>Profile Photo</label>
                            <input type="file" name="fuPersonalPhoto" class="form-control">
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-12">
                            &nbsp;
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <input type="checkbox" name="cbMakeMyProfilePrivate">&nbsp;Make my profile private.<br>
                            <label><span class="info-msg">* If you activate this option, your profile will no longer
                                    appear in search results and no one can reach you to request
                                    proposals.</span></label>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            &nbsp;
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-12">
                            <div class="row">
                                <div class="col-md-12">
                                    <label>Skills</label>
                                </div>
                               
                            </div>
                            <div class="row">
                                <div class="col-md-4">
                                    <label>Category</label>
                                    <select name="drpCats" class="form-control">
                                        <option> --- select --- </option>
                                    </select>

                                </div>
                                <div class="col-md-4">
                                    <label>Course</label>
                                    <select name="drpCourses" class="form-control">
                                        <option> --- select --- </option>
                                    </select>

                                </div>
                              
                                <div class="col-md-4">
                                    <label>Proficiency</label>
                                    <select name="drpproficiencies" class="form-control">
                                        <option> --- select --- </option>
                                    </select>

                                </div>

                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-12">
                            &nbsp;
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            &nbsp;
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-12">
                            <label>Current Password <span class="error">*</span></label>
                            <input type="password" class="form-control" minlength="8" maxlength="16" name="tbPassword"
                                pattern="(?=^.{8,16}$)((?=.*\d)|(?=.*\W+))(?![.\n])(?=.*[A-Z])(?=.*[a-z]).*$" required>

                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-12">&nbsp;</div>
                    </div>

                    <div class="row">
                        <div class="col-md-12">
                            <label>New Password <span class="error">*</span></label>
                            <input type="password" class="form-control" minlength="8" maxlength="16"
                                name="tbNewPassword"
                                pattern="(?=^.{8,16}$)((?=.*\d)|(?=.*\W+))(?![.\n])(?=.*[A-Z])(?=.*[a-z]).*$" required>
                            <label><span class="info-msg">* Password should be at least 8 characters long and a maximum
                                    of 16, it should contain at least 1 capital letter, 1 number.</span></label>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-12">&nbsp;</div>
                    </div>

                    <div class="row">
                        <div class="col-md-12">
                            <label>Confirm Password <span class="error">*</span></label>
                            <input type="password" class="form-control" minlength="8" maxlength="16"
                                name="tbConfirmPassword"
                                pattern="(?=^.{8,16}$)((?=.*\d)|(?=.*\W+))(?![.\n])(?=.*[A-Z])(?=.*[a-z]).*$" required>

                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-12">&nbsp;</div>
                    </div>

                    <div class="row">
                        <div class="col-md-12">
                            <input type="button" [disabled]="bIsButtonDisabled" class="btn btn-primary float-right"
                                (click)="vUpdateProfile(frmProfile.valid)" [value]="sSubmitLabel">
                        </div>
                    </div>
                </div>
            </div>

        </form>
        <!--End Of Registration Form-->




    </div>
</div>